/*******************************************************************
 * Xatm -- OCF, CID, TrueType scalable font support for X 
 *  By:  ͵ <y5t0964@students.chiba-u.ac.jp>
 */

/* This code is derived from X-VFlib's vffuncs.c */

/* Type1_16struct.h */

/*$Id: Type1_16struct.h,v 1.7 1998/05/31 15:05:11 elca Exp $*/

#ifndef _TYPE1_16STRUCT_H
#define _TYPE1_16STRUCT_H

#include "btree.h"

typedef struct {
    CharInfoPtr charInfo;
    char *bitmap;
} CharInfoUnit, *CharInfoUnitPtr;

typedef struct {
    CharInfoUnitPtr unit;
    int n;
    int index;
    int bitmapSize;
} CharInfoPool, *CharInfoPoolPtr;

typedef struct _Type1_16Font {
	FontPtr font;

	int hbits, wbytes;
	double matrix[4]; /* ʸѴ
			     [ m[1] m[3] ]
			     [ m[2] m[4] ]
			   */

	char *fontname; /* ݥȥץȥեȤ̾ */

	CharInfoPoolPtr pool;
	BTreePtr btree;

	void (*convert)(
#if NeedNestedPrototypes
		struct _Type1_16Font * /* font */,
		char *                 /* p */
#endif
		);
} Type1_16Font, *Type1_16FontPtr;


#endif
